* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  appearance: none;
  border: none;
  outline: none;
  font-family: "Poppins", sans-serif;
  /*Todos os comandos acima são para tirar os estilos padrões do navegador*/
}

html {
  font-size: 100%;
  -webkit-text-size-adjust: 100%;
  /* Evita ajuste automático no Safari */
  -moz-text-size-adjust: 100%;
  /* Previne ajuste automático no Firefox */
  -ms-text-size-adjust: 100%;
  /* Previne ajuste automático no Internet Explorer */
  text-size-adjust: 100%;
  /* Previne ajuste automático em outros navegadores */
}

::-webkit-scrollbar {
  display: none;
}

body {
  background-color: #1f2937; /* cor final */
  background-image: linear-gradient(to bottom right, #111827, #111827, #1f2937);
  min-height: 100dvh;
}

header {
  height: 70px;
}

main {
  min-height: calc(100dvh - 70px - 24px);
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
}

footer {
  height: 25px;
}

.login {
  min-height: calc(100dvh - 2rem);
  display: flex;
  justify-content: center;
  align-items: center;
}

.conteudo {
  min-height: calc(100dvh - 60px - 25px);
}

/* Remove os controles de incremento/decremento no Chrome, Safari e Edge */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Aumenta o tamanho do input do tipo date no Chrome, Safari e Edge */
input[type="date"]::-webkit-calendar-picker-indicator {
  width: 30px;
  height: 30px;
}

input[type="checkbox"] {
  appearance: auto;
  /* Restaura a aparência padrão dos checkboxes */
}

a {
  -webkit-tap-highlight-color: transparent;
  /* Remove a cor de destaque no iPhone */
  color: inherit;
  /* Herdar a cor do texto ao redor */
  text-decoration: none;
  /* Remover o sublinhado */
}

a:link,
a:visited {
  color: inherit;
  /* Para links não visitados e visitados */
}

a:focus,
a:hover {
  color: inherit;
  outline: none;
  /* Remove o contorno de foco */
}

select,
input[type="date"],
input[type="time"],
input[type="datetime-local"],
button {
  -webkit-appearance: none;
  /* Remove o estilo padrão do iOS */
  appearance: none;
  /* Remove o estilo padrão em navegadores modernos */
  color: inherit;
  /* Herdar a cor do elemento pai */
  border: none;
  /* Remover bordas, caso seja necessário */
  outline: none;
}

:root {
  /* CORES */
  --body-color: #e4e9f7;
  --sidebar-color: #fff;
  --primary-color: #695cfe;
  --primary-color-light: #f6f5ff;
  --toggle-color: #ddd;
  --text-color: #707070;

  /* TRANSIÇÕES */
  --tran-02: all 0.2s ease;
  --tran-03: all 0.3s ease;
  --tran-04: all 0.4s ease;
  --tran-05: all 0.5s ease;
  --tran-10: all 1s ease;
}

[type="checkbox"] {
  width: 25px;
  height: 25px;
  cursor: pointer;
}

input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px transparent inset !important;
  -webkit-text-fill-color: inherit !important; /* mantém a cor original */
}

input:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0px 1000px transparent inset !important;
  -webkit-text-fill-color: inherit !important;
}

.swal2-popup .swal2-modal .swal2-show .swal2-html-container {
  padding: 0px !important;
  margin: 0px !important;
}